﻿var sosop = { imgsrc: "http://static.emoney.cn" };
var timesearchtips = null;
$(document).ready(function () {
    if ($(".search_tips").size() > 0) {
        var _SearchTips = getCookie("_SearchTips");
        if (_SearchTips != "1") {
            $("#txtNoStockIndexSearch").bind({
                focus: function () {
                    if (timesearchtips) clearTimeout(timesearchtips);
                    $(".search_tips").css({ width: $("#SB_B").outerWidth(), left: $(this).offset().left, top: $(this).offset().top + $(this).outerHeight() + 5 }).show();
                    setCookie("_SearchTips", "1", 30);
                    timesearchtips = setTimeout("closesearchtips()", 5000);
                },
                blur: function () {
                    closesearchtips();
                }
            });
        }
    }
    $("input[pubSearch]").bind({
        click: function () {
            if ($("#txtNoStockIndexSearch").val().replace(/\s+/g, "") != "") PubSosoSDSearch($(this).attr("pubSearch"));
        }
    });
    $(window).resize(function () {
        ChangePopSize();
    });
});
//window.onorientationchange = function () {
//    ChangePopSize();
//};
function ChangePopSize() {
    if ($('#shadow').size() > 0) {
        var A = $("#shadow");
        var B = $(".pop_back").eq(0);
        var docH = document.body.scrollHeight,
         docW = document.body.offsetWidth,
         scrollH = document.body.scrollTop,
         popW = B.outerWidth(),
         popH = B.outerHeight();
        var winH = 416;
        switch (window.orientation) {
            case -90:
            case 90:
                winH = 268;
                break;
            default:
                winH = 416;
                break;
        }
        A.css('height', docH);
//        B.css({
//            'left': (docW - popW) * 0.5,
//            'top': (winH - popH) * 0.5 + scrollH
        //        });
        B.css({
            'left': (docW - popW) * 0.5,
            'top':30 + scrollH
        });
    }
};
function GetScreen() {
    var o = window.orientation;
    if (o == 0 || o == 180 || o == undefined) return "portrait";
    return "landscape";
};
function closesearchtips() {
    $(".search_tips").hide();
    $("#txtNoStockIndexSearch").unbind("focus");
    $("#txtNoStockIndexSearch").unbind("blur");
    if (timesearchtips) clearTimeout(timesearchtips);
};
function GetStockName(code, nullchar) {
    return (CNLists[0][code] && CNLists[0][code] != undefined && CNLists[0][code] != "") ? CNLists[0][code] : nullchar;
};
function CheckDataNull(data, nullchar) {
    return (data && data != undefined && data != "") ? data : nullchar;
};
function CheckStockCode(code) {
    return parseInt(code) / 100000 >= 6 ? "sh" + code : "sz" + code;
};
function SetLoaddingData(obj) {
    obj.html("<div class='loading_b'><span class='loading'></span><span>正在加载，请稍候...</span></div>");
};
function SetLoaddingFail(obj, callback) {
    obj.html("<div class='loading_b'>抱歉，加载失败<a id='" + obj.attr("id") + "_LoadFail' href='javascript:void(0);' class='load_fail blue'>请重试</a></div>");
    $("#" + obj.attr("id") + "_LoadFail").click(function () {
        callback();
    });
};
function GetQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return r[2]; return null;
};
function PubparseFloat(val, n) {
    var mn = 100;
    switch (n) {
        case 1:
            mn = 10;
            break;
        case 2:
            mn = 100;
            break;
        case 3:
            mn = 1000;
            break;
        case 4:
            mn = 10000;
            break;
        default:
            mn = 1;
            break;
    }
    return parseFloat(Math.round(parseFloat(val) * mn) / mn).toFixed(n).toString();
};
function GetStockColorAndMark(data, kpj, spj) {
    var comparedata = parseFloat(spj);
    if (spj < 0.001) {
        comparedata = kpj;
    }
    if (data == "--" || data == "--" || data == 0) {
        return "gray,";
    }
    else {
        if (parseFloat(data) > parseFloat(comparedata)) {
            return "yellow,↑";
        }
        else if (parseFloat(data) < parseFloat(comparedata)) {
            return "green,↓";
        }
        else {
            return "gray,";
        }
    }
};
function GetColorAndMark(flag) {
    if (flag > 0) {
        return "yellow,↑";
    }
    else if (flag < 0) {
        return "green,↓";
    }
    else {
        return "gray,";
    }
};
function SDFormatDateStr(strDate) {
    return (strDate && strDate != undefined && strDate != "") ? (strDate.substr(0, 4) + "-" + strDate.substr(4, 2) + "-" + strDate.substr(6, 2)) : "";
};
function SDDeFormatDate(strDate) {
    return strDate.replace("-", "").replace("-", "");
};
function GetLevelFlag(level) {
    switch (parseInt(level)) {
        case 1:
            return "A,+";
            break;
        case 2:
            return "A";
            break;
        case 3:
            return "A,-";
            break;
        case 4:
            return "B,+";
            break;
        case 5:
            return "B";
            break;
        case 6:
            return "B,-";
            break;
        case 7:
            return "C,+";
            break;
        case 8:
            return "C";
            break;
        case 9:
            return "C,-";
            break;
        case 10:
            return "D,+";
            break;
        case 11:
            return "D";
            break;
        case 12:
            return "D,-";
            break;
        default:
            return "--,";
            break;
    }
};
function DrawStar(obj, score) {
    if (parseFloat(score) > 0) {
        var temp = PubparseFloat(parseFloat(score) / 2, 1);
        var strtemp = temp.split(".");
        var w = parseInt(strtemp[0]) * 10 + (parseInt(strtemp[0]) - 1) * 5;
        if (parseFloat(strtemp[1]) > 0) {
            w = w + 5 + (parseFloat("0." + strtemp[1]) * 10);
        }
        w = PubparseFloat((w + 2), 0);
        obj.stop().animate({ "width": w + "px" }, "slow");
    }
    else {
        obj.stop().css({ "width": "1px" });
    }
};
function cleartimer() {
    if (timeCSHQ) clearInterval(timeCSHQ);
};
var timerTip = null;
$(document).ready(function () {
    $(".tips").find(".close").bind({
        click: function () {
            CloseTips();
        }
    });
});
function getCookie(c_name) {
//    var localdatas = localStorage.getItem(c_name);
//    localdatas = localdatas == null ? "" : localdatas;
    //    return localdatas;
    return "";
}
function setCookie(c_name, value, expiredays) {
    //localStorage.setItem(c_name, value);
}
function SetPubCollectStock(sc, sn) {
    var _SosoSDCollects = GetPubCollectStock();
    var tempstr = sc + "^" + sn;
    if (_SosoSDCollects && _SosoSDCollects != undefined && _SosoSDCollects != "") {
        _SosoSDCollects += "," + tempstr;
    }
    else {
        _SosoSDCollects = tempstr;
    }
    setCookie("_SosoSDCollStock", _SosoSDCollects, 30);
    $("#sucRss").css("display", "block");
    timerTip = setTimeout("CloseTips();", 1000);
};
function CloseTips() {
    $("#sucRss").css("display", "none");
    $("#sucDelRss").css("display", "none");
    if (timerTip) clearTimeout(timerTip);
};
function DelPubCollectStock(sc, sn) {
    var _SosoSDCollects = GetPubCollectStock();
    if (_SosoSDCollects && _SosoSDCollects != undefined && _SosoSDCollects != "") {
        var arrtemp = new Array();
        var strcodes = _SosoSDCollects.split(",");
        if (strcodes.length > 0) {
            for (var i = 0; i < strcodes.length; i++) {
                var strtemp = strcodes[i].split("^");
                if (strtemp[0] != sc) {
                    arrtemp[arrtemp.length] = strcodes[i];
                }
            }
            _SosoSDCollects = arrtemp.join(",");
        }
    }
    setCookie("_SosoSDCollStock", _SosoSDCollects, 30);
    $("#sucDelRss").css("display", "block");
    $("#Tip_stockName").html(sn);
    timerTip = setTimeout("CloseTips();", 1000);
};
function GetPubCollectStock() {
    var _SosoSDCollects = getCookie("_SosoSDCollStock");
    return CheckDataNull(_SosoSDCollects, "");
};
function OpenShadow() {
    var A = $("#shadow");
    var B = $(".pop_back").eq(0);
    var docH = document.body.scrollHeight,
         docW = document.body.offsetWidth,
         scrollH = document.body.scrollTop,
         popW = B.outerWidth(),
         popH = B.outerHeight();
    var winH = 416;
    switch (window.orientation) {
        case -90:
        case 90:
            winH = 268;
            break;
        default:
            winH = 416;
            break;
    }
    A.css('height', docH).show();
//    B.css({
//        'left': (docW - popW) * 0.5,
//        'top': (winH - popH) * 0.5 + scrollH,
//        'display': 'block'
    //    });
    B.css({
        'left': (docW - popW) * 0.5,
        'top': 30+ scrollH,
        'display': 'block'
    });
};
function CloseShadow() {
    $(".pop_back").eq(0).css("display", "none");
    $("#shadow").css("display", "none");
};
function PubSosoSDSearch(rf) {
    var skw = $("#txtNoStockIndexSearch").val().replace(/\s+/g, "");
    var searchlist = $.grep(EALists, function (n, i) {
        return (n._C.replace(/\s+/g, "") == skw || n._S.replace(/\s+/g, "").toUpperCase() == skw.toUpperCase() || n._N.replace(/\s+/g, "") == skw);
    });
    if (searchlist != null && searchlist != undefined && searchlist != "") {
        if (searchlist.length > 0) {
            window.location.href = "test_pub.html?sc=" + searchlist[0]._C + "&returnf=" + rf + "&skw=" + encodeURIComponent(skw);
            return;
        }
    }
    window.location.href = "search.html?skw=" + encodeURIComponent(skw);
};